"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const got_1 = __importDefault(require("got"));
async function downloadPullrequestPatch(org, repo, pullRequestNumber) {
    const url = `https://api.github.com/repos/${org}/${repo}/pulls/${pullRequestNumber}`;
    const response = await got_1.default(url, {
        headers: {
            Accept: 'application/vnd.github.v3.diff',
            Authorization: `token ${process.env.GITHUB_ACCESS_TOKEN}`,
            'User-Agent': 'Markdown-check-bot'
        }
    });
    return response.body;
}
exports.downloadPullrequestPatch = downloadPullrequestPatch;
