"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const parse_diff_1 = __importDefault(require("parse-diff"));
function findPatchLine(patchText, filename, lineNumber) {
    let lineText = '';
    for (const file of parse_diff_1.default(patchText)) {
        if (file.to !== filename) {
            continue;
        }
        for (const hunk of file.chunks) {
            for (const change of hunk.changes) {
                console.log('CHANGE', change);
                let line = 0;
                if (change.type === 'normal') {
                    const normalChange = change;
                    line = normalChange.ln2;
                }
                else if (change.type === 'add') {
                    const addChange = change;
                    line = addChange.ln;
                }
                if (line === lineNumber) {
                    lineText = change.content;
                }
            }
        }
    }
    console.log('TEXT OF LINE WITH ERROR:', lineText);
    if (lineText === '') {
        return undefined;
    }
    const patchLines = patchText.split('\n');
    const lineIndex = patchLines.findIndex(line => line === lineText);
    console.log('INDEX OF ERROR LINE IN PATCHFILE:', lineIndex);
    const firstHunkLine = patchLines.findIndex(line => line.startsWith('@@'));
    return lineIndex - firstHunkLine;
}
exports.findPatchLine = findPatchLine;
