"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const js_yaml_1 = __importDefault(require("js-yaml"));
const get_repo_branch_sha_1 = require("./get-repo-branch-sha");
const load_file_1 = require("./load-file");
async function loadBotConfig(filename, context) {
    const repoName = get_repo_branch_sha_1.getRepoBranchSha(context);
    let configText = '';
    try {
        ;
        [configText] = await load_file_1.loadFile(filename, context);
    }
    catch (e) {
        console.log(`${repoName}: NO ${filename} FOUND`);
        return {};
    }
    try {
        const result = js_yaml_1.default.safeLoad(configText);
        console.log(`${repoName}: BOT CONFIG: ${JSON.stringify(result)}`);
        return result;
    }
    catch (e) {
        console.log(`${repoName}: ERROR PARSING ${filename}:`, e.message);
    }
}
exports.loadBotConfig = loadBotConfig;
